telephony.configs.setDefaultOutbound
Make this the account outbound calls use.
Campaigns and ad-hoc calls that omit telephony_configuration_id use the default outbound configuration. Setting a new default automatically clears the previous one — at most one configuration can be the default at a time.
Reference
POST/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · TelephonyConfigurationDetail
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
config_id | path | integer | required |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/organizations/telephony-configs/<config_id>/set-default-outbound" \
-H "X-API-Key: dcb_your_key"Response
{
"id": 1,
"name": "string",
"provider": "string",
"is_default_outbound": true,
"credentials": {},
"created_at": "2026-09-14T09:30:00Z",
"updated_at": "2026-09-14T09:30:00Z"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |